Subject: bug#54698: non-recursive GC marking [PATCH]

From: Mattias Engdegård <[email-masked]>
Date: Mon, 4 Apr 2022 18:04:55 +0200

4 apr. 2022 kl. 17.44 skrev Andrea Corallo <[email-masked]>:

> We have some benchmarks in elisp-benchmarks that is GC bounded (IIRC
> nbody at least), I guess would be worth running.

Go for it! I ran another float-intensive benchmark and got a speedup of 2.6 % which is more than I hoped for given that tracing floats isn't really affected much by the change from recursion to stack as they have no subcomponents that need tracing.

And naturally this is all just some new go-fast stripes on the pig (and, more importantly, iron railings preventing it from going down the cliff), not the racehorse we really want.